Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Statement_Block

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base
              rdlc.sw.Statement
                  rdlc.sw.Statement_Block

All Implemented Interfaces:
  Expression, Field

    public class Statement_Block

extends Statement

A block of related statements. This is used for grouping statements within other statements. Statements in a method can simply be added to the method and do not require a block.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.util.List<Statement>` | `body` A list of the statements in this block, in order.

Fields inherited from class rdlc.sw.Field_Base
`access`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`Statement_Block(Instance _instance)` Simple constructor, merely records its arguments.

Method Summary
`void` | `add(Statement statement)` Add a statement to the body of this block.
`java.util.List<Statement>` | `getBody()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Statement
`copy`

Methods inherited from class rdlc.sw.Field_Base
`getAccess`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### body

    protected java.util.List<Statement> body

  A list of the statements in this block, in order.

Constructor Detail

### Statement_Block

    public Statement_Block(Instance _instance)

  Simple constructor, merely records its arguments.

  Parameters:
    `_instance` - The instance to add this statement to.

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Statement`
  Returns:
    A human readable representation of this statement for debugging.

### getBody

    public java.util.List<Statement> getBody()

  Simple accessor.

  Returns:
    A list of the statements in this block, in order.

### add

    public void add(Statement statement)

  Add a statement to the body of this block.

  Parameters:
    `statement` - The statement to add to the body of this block.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD